Abort campaign
curl --request POST \
--url https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/abort \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/abort"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Voice Campaigns
Abort campaign
Immediately abort a running, paused, or scheduled campaign
POST
/
campaigns
/
{id}
/
abort
Abort campaign
curl --request POST \
--url https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/abort \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/abort"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/campaigns/{id}/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Halts all execution on an active campaign and marks it as
FAILED (aborted). Any pending scheduled timers are cancelled and no further dial attempts will be placed.
Path parameters
string
required
The unique UUID of the campaign to abort.
curl -X POST https://prod-campaign-engine-api.20x.business/api/v1/campaigns/770e8400-e29b-41d4-a716-446655440000/abort \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
import requests
response = requests.post(
"https://prod-campaign-engine-api.20x.business/api/v1/campaigns/770e8400-e29b-41d4-a716-446655440000/abort",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={},
)
print(response.status_code)
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/campaigns/770e8400-e29b-41d4-a716-446655440000/abort",
{
method: "POST",
headers: {
Authorization: `Bearer ${API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({}),
},
);
console.log(response.status);
Response
202 Accepted indicating that the campaign has been aborted.
